Web application could not be started

Added by Kilian Jacquet almost 5 years ago

Hello,

Last week, I installed Redmine on a server using the tutorial with the command line apt-get install redmine-mysql. I noticed that it installed an old version of redmine so I tried an upgrade. I had problems upgrading it so I decided to continue with my old version to test Redmine. However I think that the upgrade put a mess in my gems or something like that. What I did is to uninstall the new versions of rails added during my upgrade try to keep only rails 3.2.17 which was used to run redmine before when everything worked.

This morning when trying to launch Redmine, I had the following message :

Web application could not be started

rails is not part of the bundle. Add it to Gemfile. (Gem::LoadError)
  /usr/lib/ruby/vendor_ruby/bundler/rubygems_integration.rb:147:in `block in replace_gem'
  /usr/share/redmine/config/boot.rb:72:in `load_rails_gem'
  /usr/share/redmine/config/boot.rb:64:in `load_initializer'
  /usr/share/redmine/config/boot.rb:43:in `run'
  /usr/share/redmine/config/boot.rb:16:in `boot!'
  /usr/share/redmine/config/boot.rb:124:in `<top (required)>'
  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
  /usr/share/redmine/config/environment.rb:18:in `<top (required)>'
  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
  /var/lib/gems/1.9.1/gems/passenger-4.0.45/helper-scripts/classic-rails-preloader.rb:96:in `preload_app'
  /var/lib/gems/1.9.1/gems/passenger-4.0.45/helper-scripts/classic-rails-preloader.rb:184:in `<module:App>'
  /var/lib/gems/1.9.1/gems/passenger-4.0.45/helper-scripts/classic-rails-preloader.rb:29:in `<module:PhusionPassenger>'
  /var/lib/gems/1.9.1/gems/passenger-4.0.45/helper-scripts/classic-rails-preloader.rb:28:in `<main>

After some research I added the line : gem "rails", "3.2.17" in the Gemfile in my redmine root directory.
Now I am getting this error while trying to access the webpage, here is the complete content :

Web application could not be started

cannot load such file -- initializer (LoadError)
  /usr/share/redmine/config/boot.rb:65:in `require'
  /usr/share/redmine/config/boot.rb:65:in `load_initializer'
  /usr/share/redmine/config/boot.rb:43:in `run'
  /usr/share/redmine/config/boot.rb:16:in `boot!'
  /usr/share/redmine/config/boot.rb:124:in `<top (required)>'
  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
  /usr/share/redmine/config/environment.rb:18:in `<top (required)>'
  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
  /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
  /var/lib/gems/1.9.1/gems/passenger-4.0.45/helper-scripts/classic-rails-preloader.rb:96:in `preload_app'
  /var/lib/gems/1.9.1/gems/passenger-4.0.45/helper-scripts/classic-rails-preloader.rb:184:in `<module:App>'
  /var/lib/gems/1.9.1/gems/passenger-4.0.45/helper-scripts/classic-rails-preloader.rb:29:in `<module:PhusionPassenger>'
  /var/lib/gems/1.9.1/gems/passenger-4.0.45/helper-scripts/classic-rails-preloader.rb:28:in `<main>'
Application root
/usr/share/redmine
Environment (value of RAILS_ENV, RACK_ENV, WSGI_ENV, NODE_ENV and PASSENGER_APP_ENV)
production
Ruby interpreter command
/usr/bin/ruby1.9.1
User and groups
uid=33(www-data) gid=33(www-data) groups=33(www-data)
Environment variables
APACHE_PID_FILE = /var/run/apache2.pid
APACHE_RUN_USER = www-data
APACHE_LOG_DIR = /var/log/apache2
PATH = /var/lib/gems/1.9.1/bin:/usr/local/bin:/usr/bin:/bin
PWD = /usr/share/redmine
APACHE_RUN_GROUP = www-data
LANG = C
SHLVL = 1
APACHE_LOCK_DIR = /var/lock/apache2
APACHE_RUN_DIR = /var/run/apache2
_ = /usr/sbin/apache2
PASSENGER_DEBUG_DIR = /tmp/passenger.spawn-debug.XXXXFmXj5o
USER = www-data
LOGNAME = www-data
SHELL = /bin/sh
HOME = /var/www
IN_PASSENGER = 1
PYTHONUNBUFFERED = 1
NODE_PATH = /var/lib/gems/1.9.1/gems/passenger-4.0.45/node_lib
RAILS_ENV = production
RACK_ENV = production
WSGI_ENV = production
NODE_ENV = production
PASSENGER_APP_ENV = production
RAILS_RELATIVE_URL_ROOT = /redmine
RACK_BASE_URI = /redmine
PASSENGER_BASE_URI = /redmine
SSL_TLS_SNI = *****.*****.com
HTTPS = on
SERVER_PROTOCOL = HTTP/1.1
SERVER_SOFTWARE = Apache
DOCUMENT_ROOT = *****
SERVER_ADMIN = [no address given]
QUERY_STRING = 
SERVER_NAME = *****.*****.com
REMOTE_PORT = 64473
REMOTE_ADDR = ******
SERVER_PORT = 443
REQUEST_METHOD = GET
SERVER_ADDR = ******
REQUEST_URI = /redmine
X_DEBIAN_SITEID = default
RAILS_ETC = /etc/redmine/default
RAILS_LOG = /var/log/redmine/default
RAILS_VAR = /var/lib/redmine/default
RAILS_CACHE = /var/cache/redmine/default
SCHEMA = /var/cache/redmine/default/schema.db
BUNDLE_GEMFILE = /usr/share/redmine/Gemfile
GEM_PATH = /var/lib/gems/1.9.1:/var/www/.gem/ruby/1.9.1:/usr/share/rubygems-integration/1.9.1
GEM_HOME = /var/lib/gems/1.9.1
BUNDLE_BIN_PATH = /usr/share/rubygems-integration/1.9.1/gems/bundler-1.2.3/bin/bundle
RUBYOPT = -I/usr/lib/ruby/vendor_ruby -rbundler/setup
Ulimits
Unknown

General Ruby interpreter information
RUBY_VERSION = 1.9.3
RUBY_PLATFORM = x86_64-linux
RUBY_ENGINE = ruby
RubyGems version = 1.8.23
Ruby configuration (RbConfig::CONFIG)
DESTDIR = 
MAJOR = 1
MINOR = 9
TEENY = 1
PATCHLEVEL = 194
INSTALL = /usr/bin/install -c
EXEEXT = 
prefix = /usr
ruby_install_name = ruby1.9.1
RUBY_INSTALL_NAME = ruby1.9.1
RUBY_SO_NAME = ruby-1.9.1
exec = exec
ruby_pc = ruby-1.9.pc
PACKAGE = ruby
BUILTIN_TRANSSRCS =  newline.c
USE_RUBYGEMS = YES
MANTYPE = doc
NROFF = /usr/bin/nroff
vendorhdrdir = /usr/include/ruby-1.9.1/vendor_ruby
sitehdrdir = /usr/include/ruby-1.9.1/site_ruby
rubyhdrdir = /usr/include/ruby-1.9.1
UNIVERSAL_INTS = 
UNIVERSAL_ARCHNAMES = 
configure_args =  '--build=x86_64-linux-gnu' '--prefix=/usr' '--includedir=/usr/include' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--sysconfdir=/etc' '--localstatedir=/var' '--libexecdir=/usr/lib/ruby1.9.1' '--srcdir=.' '--disable-maintainer-mode' '--disable-dependency-tracking' '--disable-silent-rules' '--enable-pthread' '--enable-shared' '--disable-rpath' '--disable-install-doc' '--with-vendordir=/usr/lib/ruby/vendor_ruby' '--with-sitedir=/usr/local/lib/site_ruby' '--program-suffix=1.9.1' '--with-soname=ruby-1.9.1' '--with-baseruby=/usr/bin/ruby1.8' '--enable-ipv6' '--with-dbm-type=gdbm_compat' '--with-tklib=tk8.5' '--with-tcllib=tcl8.5' '--with-tcl-include=/usr/include/tcl8.5' '--with-bundled-sha1' '--with-bundled-md5' '--with-bundled-rmd160' 'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -fno-strict-aliasing' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro' 'CPPFLAGS=-D_FORTIFY_SOURCE=2' 'CXXFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -fno-strict-aliasing'
vendordir = /usr/lib/ruby/vendor_ruby
sitedir = /usr/local/lib/site_ruby
ruby_version = 1.9.1
sitearch = x86_64-linux
arch = x86_64-linux
RI_BASE_NAME = ri
ridir = /usr/share/ri
rubylibprefix = /usr/lib/ruby
MAKEFILES = Makefile
THREAD_MODEL = pthread
SYMBOL_PREFIX = 
EXPORT_PREFIX = 
COMMON_HEADERS = 
COMMON_MACROS = 
COMMON_LIBS = 
MAINLIBS = 
ENABLE_SHARED = yes
DLDLIBS =  -lc
SOLIBS = -lpthread -lrt -ldl -lcrypt -lm 
LIBRUBYARG_SHARED = -lruby-1.9.1
LIBRUBYARG_STATIC = -lruby-1.9.1-static
LIBRUBYARG = -lruby-1.9.1
LIBRUBY = libruby-1.9.1.so.1.9.1
LIBRUBY_ALIASES = libruby-1.9.1.so.1.9 libruby-1.9.1.so
LIBRUBY_SO = libruby-1.9.1.so.1.9.1
LIBRUBY_A = libruby-1.9.1-static.a
RUBYW_INSTALL_NAME = 
rubyw_install_name = 
LIBRUBY_DLDFLAGS = -Wl,-soname,libruby-1.9.1.so.1.9
LIBRUBY_LDSHARED = gcc -shared
warnflags = -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Werror=pointer-arith -Werror=write-strings -Werror=declaration-after-statement -Werror=implicit-function-declaration
debugflags = -ggdb
optflags = -O3
cxxflags =  -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Werror=pointer-arith -Werror=write-strings -Werror=declaration-after-statement -Werror=implicit-function-declaration
cflags =  -O3 -ggdb -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Werror=pointer-arith -Werror=write-strings -Werror=declaration-after-statement -Werror=implicit-function-declaration
cppflags = -D_FORTIFY_SOURCE=2
NULLCMD = :
INSTALLDOC = nodoc
CAPITARGET = nodoc
RDOCTARGET = nodoc
EXECUTABLE_EXTS = 
ARCHFILE = 
LIBRUBY_RELATIVE = no
EXTOUT = .ext
PREP = miniruby
TEST_RUNNABLE = yes
setup = Setup
EXTSTATIC = 
STRIP = strip -S -x
TRY_LINK = 
LIBPATHENV = LD_LIBRARY_PATH
RPATHFLAG = 
LIBPATHFLAG =  -L%s
LINK_SO = 
LIBEXT = a
DLEXT2 = 
DLEXT = so
LDSHAREDXX = g++ -shared
LDSHARED = gcc -shared
CCDLFLAGS = -fPIC
STATIC = 
ARCH_FLAG = 
DLDFLAGS = 
ALLOCA = 
WERRORFLAG = -Werror
CHDIR = cd -P
RMALL = rm -fr
RMDIRS = rmdir --ignore-fail-on-non-empty -p
RMDIR = rmdir --ignore-fail-on-non-empty
CP = cp
RM = rm -f
PKG_CONFIG = pkg-config
DOXYGEN = 
DOT = 
MAKEDIRS = /bin/mkdir -p
MKDIR_P = /bin/mkdir -p
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_SCRIPT = /usr/bin/install -c
INSTALL_PROGRAM = /usr/bin/install -c
SET_MAKE = 
LN_S = ln -s
NM = nm
DLLWRAP = 
WINDRES = 
OBJCOPY = objcopy
OBJDUMP = objdump
ASFLAGS = 
AS = as
AR = ar
RANLIB = ranlib
try_header = 
COUTFLAG = -o 
OUTFLAG = -o 
CPPOUTFILE = -o conftest.i
GNU_LD = yes
GCC = yes
EGREP = /bin/grep -E
GREP = /bin/grep
CPP = gcc -E
CXXFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -fno-strict-aliasing
CXX = g++
OBJEXT = o
CPPFLAGS = -D_FORTIFY_SOURCE=2  -D_FORTIFY_SOURCE=2
LDFLAGS = -L. -Wl,-Bsymbolic-functions -Wl,-z,relro -rdynamic -Wl,-export-dynamic
CFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -fno-strict-aliasing -fPIC
CC = gcc
target_os = linux
target_vendor = pc
target_cpu = x86_64
target = x86_64-pc-linux-gnu
host_os = linux-gnu
host_vendor = pc
host_cpu = x86_64
host = x86_64-pc-linux-gnu
RUBYW_BASE_NAME = rubyw
RUBY_BASE_NAME = ruby
build_os = linux-gnu
build_vendor = pc
build_cpu = x86_64
build = x86_64-pc-linux-gnu
RUBY_RELEASE_DATE = 2012-04-20
RUBY_PROGRAM_VERSION = 1.9.3
BASERUBY = /usr/bin/ruby1.8
target_alias = 
host_alias = 
build_alias = x86_64-linux-gnu
LIBS = -lpthread -lrt -ldl -lcrypt -lm 
ECHO_T = 
ECHO_N = -n
ECHO_C = 
DEFS = 
mandir = /usr/share/man
localedir = /usr/share/locale
libdir = /usr/lib
psdir = /usr/share/doc/ruby
pdfdir = /usr/share/doc/ruby
dvidir = /usr/share/doc/ruby
htmldir = /usr/share/doc/ruby
infodir = /usr/share/info
docdir = /usr/share/doc/ruby
oldincludedir = /usr/include
includedir = /usr/include
localstatedir = /var
sharedstatedir = /usr/com
sysconfdir = /etc
datadir = /usr/share
datarootdir = /usr/share
libexecdir = /usr/lib/ruby1.9.1
sbindir = /usr/sbin
bindir = /usr/bin
program_transform_name = s&$&1.9.1&;s&^&&
exec_prefix = /usr
PACKAGE_URL = 
PACKAGE_BUGREPORT = 
PACKAGE_STRING = 
PACKAGE_VERSION = 
PACKAGE_TARNAME = 
PACKAGE_NAME = 
PATH_SEPARATOR = :
SHELL = /bin/bash
rubylibdir = /usr/lib/ruby/1.9.1
archdir = /usr/lib/ruby/1.9.1/x86_64-linux
sitelibdir = /usr/local/lib/site_ruby/1.9.1
sitearchdir = /usr/local/lib/site_ruby/1.9.1/x86_64-linux
vendorlibdir = /usr/lib/ruby/vendor_ruby/1.9.1
vendorarchdir = /usr/lib/ruby/vendor_ruby/1.9.1/x86_64-linux
topdir = /usr/lib/ruby/1.9.1/x86_64-linux
Activated Ruby gems
rake => 10.3.2
i18n => 0.6.9
multi_json => 1.10.1
activesupport => 3.2.17
builder => 3.0.0
activemodel => 3.2.17
erubis => 2.7.0
journey => 1.0.4
rack => 1.4.5
rack-cache => 1.2
rack-test => 0.6.2
hike => 1.2.3
tilt => 1.4.1
sprockets => 2.2.2
actionpack => 3.2.17
mime-types => 1.25.1
polyglot => 0.3.5
treetop => 1.4.15
mail => 2.5.4
actionmailer => 3.2.17
arel => 3.0.3
tzinfo => 0.3.39
activerecord => 3.2.17
activeresource => 3.2.17
bundler => 1.2.3
json => 1.8.1
rack-ssl => 1.3.4
rdoc => 3.12.2
thor => 0.19.1
railties => 3.2.17
rails => 3.2.17
Ruby load path ($LOAD_PATH)
/var/lib/gems/1.9.1/gems/rails-3.2.17/lib
/var/lib/gems/1.9.1/gems/railties-3.2.17/lib
/var/lib/gems/1.9.1/gems/thor-0.19.1/lib
/var/lib/gems/1.9.1/gems/rdoc-3.12.2/lib
/var/lib/gems/1.9.1/gems/rack-ssl-1.3.4/lib
/var/lib/gems/1.9.1/gems/json-1.8.1/lib
/usr/share/rubygems-integration/1.9.1/gems/bundler-1.2.3/lib
/var/lib/gems/1.9.1/gems/activeresource-3.2.17/lib
/var/lib/gems/1.9.1/gems/activerecord-3.2.17/lib
/var/lib/gems/1.9.1/gems/tzinfo-0.3.39/lib
/var/lib/gems/1.9.1/gems/arel-3.0.3/lib
/var/lib/gems/1.9.1/gems/actionmailer-3.2.17/lib
/var/lib/gems/1.9.1/gems/mail-2.5.4/lib
/var/lib/gems/1.9.1/gems/treetop-1.4.15/lib
/var/lib/gems/1.9.1/gems/polyglot-0.3.5/lib
/var/lib/gems/1.9.1/gems/mime-types-1.25.1/lib
/var/lib/gems/1.9.1/gems/actionpack-3.2.17/lib
/var/lib/gems/1.9.1/gems/sprockets-2.2.2/lib
/var/lib/gems/1.9.1/gems/tilt-1.4.1/lib
/var/lib/gems/1.9.1/gems/hike-1.2.3/lib
/var/lib/gems/1.9.1/gems/rack-test-0.6.2/lib
/var/lib/gems/1.9.1/gems/rack-cache-1.2/lib
/var/lib/gems/1.9.1/gems/rack-1.4.5/lib
/var/lib/gems/1.9.1/gems/journey-1.0.4/lib
/var/lib/gems/1.9.1/gems/erubis-2.7.0/lib
/var/lib/gems/1.9.1/gems/activemodel-3.2.17/lib
/usr/share/rubygems-integration/1.9.1/gems/builder-3.0.0/lib
/var/lib/gems/1.9.1/gems/activesupport-3.2.17/lib
/var/lib/gems/1.9.1/gems/multi_json-1.10.1/lib
/var/lib/gems/1.9.1/gems/i18n-0.6.9/lib
/var/lib/gems/1.9.1/gems/rake-10.3.2/lib
/usr/local/lib/site_ruby/1.9.1
/usr/local/lib/site_ruby/1.9.1/x86_64-linux
/usr/local/lib/site_ruby
/usr/lib/ruby/vendor_ruby/1.9.1
/usr/lib/ruby/vendor_ruby/1.9.1/x86_64-linux
/usr/lib/ruby/vendor_ruby
/usr/lib/ruby/1.9.1
/usr/lib/ruby/1.9.1/x86_64-linux
Ruby loaded libraries ($LOADED_FEATURES)
enumerator.so
/usr/lib/ruby/1.9.1/x86_64-linux/enc/encdb.so
/usr/lib/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so
/usr/lib/ruby/1.9.1/rubygems/defaults.rb
/usr/lib/ruby/1.9.1/x86_64-linux/rbconfig.rb
/usr/lib/ruby/1.9.1/rubygems/deprecate.rb
/usr/lib/ruby/1.9.1/rubygems/exceptions.rb
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb
/usr/lib/ruby/1.9.1/rubygems/custom_require.rb
/usr/lib/ruby/1.9.1/rubygems.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger.rb
/usr/lib/ruby/1.9.1/x86_64-linux/etc.so
/usr/lib/ruby/1.9.1/fileutils.rb
/usr/lib/ruby/1.9.1/tmpdir.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/utils/tmpio.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/platform_info.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/platform_info/operating_system.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/platform_info/ruby.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/platform_info/binary_compatibility.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/buildout/ruby/ruby-1.9.3-x86_64-linux/passenger_native_support.so
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/native_support.rb
/usr/lib/ruby/1.9.1/x86_64-linux/socket.so
/usr/lib/ruby/1.9.1/socket.rb
/usr/lib/ruby/1.9.1/thread.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/ruby_core_enhancements.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/utils/tmpdir.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/preloader_shared_helpers.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/constants.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/public_api.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/debug_logging.rb
/usr/lib/ruby/1.9.1/shellwords.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/loader_shared_helpers.rb
/usr/lib/ruby/1.9.1/x86_64-linux/fcntl.so
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/message_channel.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/utils.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/message_client.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/utils/native_support_utils.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/utils/unseekable_socket.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/request_handler/thread_handler.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/request_handler.rb
/var/lib/gems/1.9.1/gems/passenger-4.0.45/lib/phusion_passenger/analytics_logger.rb
/usr/lib/ruby/1.9.1/psych/syntax_error.rb
/usr/lib/ruby/1.9.1/x86_64-linux/psych.so
/usr/lib/ruby/1.9.1/x86_64-linux/stringio.so
/usr/lib/ruby/1.9.1/psych/nodes/node.rb
/usr/lib/ruby/1.9.1/psych/nodes/stream.rb
/usr/lib/ruby/1.9.1/psych/nodes/document.rb
/usr/lib/ruby/1.9.1/psych/nodes/sequence.rb
/usr/lib/ruby/1.9.1/psych/nodes/scalar.rb
/usr/lib/ruby/1.9.1/psych/nodes/mapping.rb
/usr/lib/ruby/1.9.1/psych/nodes/alias.rb
/usr/lib/ruby/1.9.1/psych/nodes.rb
/usr/lib/ruby/1.9.1/psych/streaming.rb
/usr/lib/ruby/1.9.1/psych/visitors/visitor.rb
/usr/lib/ruby/1.9.1/x86_64-linux/strscan.so
/usr/lib/ruby/1.9.1/psych/scalar_scanner.rb
/usr/lib/ruby/1.9.1/psych/visitors/to_ruby.rb
/usr/lib/ruby/1.9.1/psych/visitors/emitter.rb
/usr/lib/ruby/1.9.1/psych/visitors/yaml_tree.rb
/usr/lib/ruby/1.9.1/psych/json/ruby_events.rb
/usr/lib/ruby/1.9.1/psych/visitors/json_tree.rb
/usr/lib/ruby/1.9.1/psych/visitors/depth_first.rb
/usr/lib/ruby/1.9.1/psych/visitors.rb
/usr/lib/ruby/1.9.1/psych/handler.rb
/usr/lib/ruby/1.9.1/psych/tree_builder.rb
/usr/lib/ruby/1.9.1/psych/parser.rb
/usr/lib/ruby/1.9.1/psych/omap.rb
/usr/lib/ruby/1.9.1/psych/set.rb
/usr/lib/ruby/1.9.1/psych/coder.rb
/usr/lib/ruby/1.9.1/psych/core_ext.rb
/usr/lib/ruby/1.9.1/x86_64-linux/date_core.so
/usr/lib/ruby/1.9.1/date/format.rb
/usr/lib/ruby/1.9.1/date.rb
/usr/lib/ruby/1.9.1/psych/deprecated.rb
/usr/lib/ruby/1.9.1/psych/stream.rb
/usr/lib/ruby/1.9.1/psych/json/yaml_events.rb
/usr/lib/ruby/1.9.1/psych/json/tree_builder.rb
/usr/lib/ruby/1.9.1/psych/json/stream.rb
/usr/lib/ruby/1.9.1/psych/handlers/document_stream.rb
/usr/lib/ruby/1.9.1/psych.rb
/usr/lib/ruby/1.9.1/yaml.rb
/usr/lib/ruby/1.9.1/x86_64-linux/syck.so
/usr/lib/ruby/1.9.1/syck/error.rb
/usr/lib/ruby/1.9.1/syck/basenode.rb
/usr/lib/ruby/1.9.1/syck/syck.rb
/usr/lib/ruby/1.9.1/syck/tag.rb
/usr/lib/ruby/1.9.1/syck/stream.rb
/usr/lib/ruby/1.9.1/syck/constants.rb
/usr/lib/ruby/1.9.1/syck/rubytypes.rb
/usr/lib/ruby/1.9.1/syck/types.rb
/usr/lib/ruby/1.9.1/yaml/syck.rb
/usr/lib/ruby/1.9.1/syck.rb
/usr/lib/ruby/1.9.1/x86_64-linux/pathname.so
/usr/lib/ruby/1.9.1/pathname.rb
/usr/lib/ruby/vendor_ruby/bundler/gem_path_manipulation.rb
/usr/lib/ruby/1.9.1/rubygems/version.rb
/usr/lib/ruby/1.9.1/rubygems/requirement.rb
/usr/lib/ruby/1.9.1/rubygems/dependency.rb
/usr/lib/ruby/1.9.1/rubygems/platform.rb
/usr/lib/ruby/1.9.1/rubygems/specification.rb
/usr/lib/ruby/1.9.1/rubygems/path_support.rb
/usr/lib/ruby/vendor_ruby/bundler/psyched_yaml.rb
/usr/lib/ruby/vendor_ruby/bundler/gem_helpers.rb
/usr/lib/ruby/vendor_ruby/bundler/match_platform.rb
/usr/lib/ruby/vendor_ruby/bundler/rubygems_ext.rb
/usr/lib/ruby/1.9.1/rubygems/config_file.rb
/usr/lib/ruby/1.9.1/rubygems/psych_additions.rb
/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb
/usr/lib/ruby/1.9.1/rubygems/syck_hack.rb
/usr/lib/ruby/vendor_ruby/bundler/rubygems_integration.rb
/usr/lib/ruby/vendor_ruby/bundler/version.rb
/usr/lib/ruby/vendor_ruby/bundler.rb
/usr/lib/ruby/vendor_ruby/bundler/settings.rb
/usr/lib/ruby/vendor_ruby/bundler/shared_helpers.rb
/usr/lib/ruby/1.9.1/x86_64-linux/digest.so
/usr/lib/ruby/1.9.1/digest.rb
/usr/lib/ruby/1.9.1/x86_64-linux/digest/sha1.so
/usr/lib/ruby/1.9.1/set.rb
/usr/lib/ruby/vendor_ruby/bundler/definition.rb
/usr/lib/ruby/vendor_ruby/bundler/dependency.rb
/usr/lib/ruby/vendor_ruby/bundler/dsl.rb
/usr/lib/ruby/1.9.1/uri/common.rb
/usr/lib/ruby/1.9.1/uri/generic.rb
/usr/lib/ruby/1.9.1/uri/ftp.rb
/usr/lib/ruby/1.9.1/uri/http.rb
/usr/lib/ruby/1.9.1/uri/https.rb
/usr/lib/ruby/1.9.1/uri/ldap.rb
/usr/lib/ruby/1.9.1/uri/ldaps.rb
/usr/lib/ruby/1.9.1/uri/mailto.rb
/usr/lib/ruby/1.9.1/uri.rb
/usr/lib/ruby/1.9.1/rubygems/user_interaction.rb
/usr/lib/ruby/1.9.1/rubygems/package/f_sync_dir.rb
/usr/lib/ruby/1.9.1/rubygems/package/tar_header.rb
/usr/lib/ruby/1.9.1/x86_64-linux/enc/iso_8859_1.so
/usr/lib/ruby/1.9.1/x86_64-linux/zlib.so
/usr/lib/ruby/1.9.1/rubygems/package/tar_input.rb
/usr/lib/ruby/1.9.1/rubygems/package/tar_output.rb
/usr/lib/ruby/1.9.1/rubygems/package/tar_reader/entry.rb
/usr/lib/ruby/1.9.1/rubygems/package/tar_reader.rb
/usr/lib/ruby/1.9.1/rubygems/package/tar_writer.rb
/usr/lib/ruby/1.9.1/rubygems/package.rb
/usr/lib/ruby/1.9.1/rubygems/format.rb
/usr/lib/ruby/1.9.1/rubygems/ext/builder.rb
/usr/lib/ruby/1.9.1/rubygems/ext/configure_builder.rb
/usr/lib/ruby/1.9.1/optparse.rb
/usr/lib/ruby/1.9.1/rubygems/command.rb
/usr/lib/ruby/1.9.1/rubygems/ext/ext_conf_builder.rb
/usr/lib/ruby/1.9.1/rubygems/ext/rake_builder.rb
/usr/lib/ruby/1.9.1/rubygems/ext.rb
/usr/lib/ruby/1.9.1/rubygems/require_paths_builder.rb
/usr/lib/ruby/1.9.1/rubygems/installer.rb
/usr/lib/ruby/1.9.1/rubygems/remote_fetcher.rb
/usr/lib/ruby/1.9.1/rubygems/errors.rb
/usr/lib/ruby/1.9.1/rubygems/text.rb
/usr/lib/ruby/1.9.1/rubygems/spec_fetcher.rb
/usr/lib/ruby/vendor_ruby/bundler/gem_installer.rb
/usr/lib/ruby/vendor_ruby/bundler/source.rb
/usr/lib/ruby/vendor_ruby/bundler/lockfile_parser.rb
/usr/lib/ruby/1.9.1/tsort.rb
/usr/lib/ruby/1.9.1/forwardable.rb
/usr/lib/ruby/vendor_ruby/bundler/spec_set.rb
/usr/lib/ruby/vendor_ruby/bundler/environment.rb
/usr/lib/ruby/vendor_ruby/bundler/runtime.rb
/usr/lib/ruby/vendor_ruby/bundler/resolver.rb
/usr/lib/ruby/vendor_ruby/bundler/dep_proxy.rb
/usr/lib/ruby/vendor_ruby/bundler/index.rb
/usr/lib/ruby/vendor_ruby/bundler/remote_specification.rb
/usr/lib/ruby/vendor_ruby/bundler/lazy_specification.rb
/usr/lib/ruby/vendor_ruby/bundler/endpoint_specification.rb
/usr/lib/ruby/1.9.1/rubygems/source_index.rb

I just removed the part about memory and cpu as I think it is not related to my issue. Does someone know how to solve that please ? I'm sorry I am completely new to Ruby, I just discovered everything last week when I installed Redmine.

Replies (10)

RE: Web application could not be started - Added by Jan Niggemann (redmine.org team member) almost 5 years ago

IMHO it'd be best if you start over from scratch, because repairing the mess will take more time than cleaning everything and starting over:
Purge the related debian packages and follow one of the tutorials, I made this one. This permits easier offline reading:
http://files.hz6.de/redmine/InstallingRedmine_EN.pdf

RE: Web application could not be started - Added by Kilian Jacquet almost 5 years ago

Thank you for your answer
We did not work a lot in the old redmine version, so I guess you are right, the best solution is to reinstall from scratch with your guide.
What should I purge or delete in addition to the redmine package I used for the installation ?

RE: Web application could not be started - Added by Jan Niggemann (redmine.org team member) almost 5 years ago

Kilian Jacquet wrote:

What should I purge or delete in addition to the redmine package I used for the installation ?

That kind of depends on what you installed when you installed redmine. I imagine your package manager pulled in some dependencies...
Try dpkg -l|grep redmine, that will show you the redmine package you installed with apt. You could then try to get the install dates of the packages from /var/lib/dpkg/info/*.list. Look at the date of the *.list files...
Another thing you can do is to grep 'install ' /var/log/dpkg.log.
Be sure to carefully think about what you remove and to test with the -s parameter (=simulate).

RE: Web application could not be started - Added by Kilian Jacquet almost 5 years ago

Ok, I dit it and had a few warnings while removing some packages :
"dpkg : warning : while removing bundler, the directory "/var/lib/gems/1.9.1 was not empty, so it was not removed"
Same things while removing redmine with the directories /usr/share/redmine/vendor and /usr/share/redmine/public

For the redmine directories, I am pretty sure I can safely remove them. But I am wondering if it is safe/necessary to remove the gems/1.9.1 directory before beginning your tutorial ? I don't have any other RoR apps running on the server.

Do I also need to purge rubygems to start from scratch ? (the command would remove rubygems, ruby-passenger and libapache2-mod-passenger)

RE: Web application could not be started - Added by Jan Niggemann (redmine.org team member) almost 5 years ago

Kilian Jacquet wrote:

For the redmine directories, I am pretty sure I can safely remove them.

I think so, yes.

But I am wondering if it is safe/necessary to remove the gems/1.9.1 directory before beginning your tutorial ? I don't have any other RoR apps running on the server.

I think that you can safely remove that directory, too, yes - but don't take my word for it.
I'm not sure if some part of Debian (or do you use Ubuntu btw?) needs ruby for the base system...

Do I also need to purge rubygems to start from scratch ? (the command would remove rubygems, ruby-passenger and libapache2-mod-passenger)

I'd remove those as well, yes. This is IMHO a kind of philosophical question. I use the passenger gem instead of the debian passenger package, as the gems contain more recent versions (dito with rails).

RE: Web application could not be started - Added by Kilian Jacquet almost 5 years ago

Well I removed them all and everything seems fine.

I am using Ubuntu, and I began your tutorial, I got an error running this line make && checkinstall --type=debian --install=yes --fstrans=no --pakdir='~' (1.2)

It happened at the end, I had :

Some of the files created by the installation are inside the build directory :/root/ruby-1.9.3-p448

You probably don't want them to be included in the package, especially if they are inside your home directory.
Do you want to list them ? n
Should I exclude them from the package ? (Saying yes is a godd idea) : y

Then it failed during the step "Building Debian package", here is the log file:

error : analysis of the file '/var/tmp/tmp.41s9fbBM8i/package/DEBIAN/control' at line 7 packaqe 'ruby-1.9.3' :
error in the string Version "p448-1" : the number of version does not start with a number (traduced from French)

I am not sure if I should continue or not as the command ruby -v gives me the expected output. I prefer to ask now to deal with the problems as soon as I encounter them rather than coming at the end with a non working installation :)

RE: Web application could not be started - Added by Jan Niggemann (redmine.org team member) almost 5 years ago

error in the string Version "p448-1" : the number of version does not start with a number (traduced from French)

Ouch, didn't I correct that? Looks like I didn't... The issue at hand is that checkinstall somehow parses the directory name and constructs the version string from it. Some convention says that the version needs to start with a number (which the character 'p' is not)...
I have not yet tried how to solve that, perhaps you can rename the directory to uby-1.9.3-448 (without the 'p').

Anyway, we only create a debian package of the installation so we can easily remove it later. You can also omit this step without problems, but you won't be able to remove the ruby installation easily.

RE: Web application could not be started - Added by Kilian Jacquet almost 5 years ago

Thanks, I just renamed the directory without the 'p' and I could indeed build the package.

I am now at step 2.5 and got a new error while executing rake generate_secret_token :

Gemfile syntax error (<unknown>): found character that cannot start any token while scanning for the next token at line 2 column 1

I followed all the instructions and did not get any errors. I just changed for the download step, the link you provided does not seem to be still working, so I used the link for redmine 2.5.1.tar.gz from here http://www.redmine.org/projects/redmine/wiki/Download

Here is the beginning of my Gemfile (/opt/redmine/Gemfile) :

source 'https://rubygems.org'

gem "rails", "3.2.17" 
gem "rake", "~> 10.1.1" 
gem "jquery-rails", "~> 2.0.2" 
gem "coderay", "~> 1.1.0" 

Here is also the output of "gem env" as asked in your document :

RubyGems Environment:
    - RUBYGEMS VERSION: 1.8.23
    - RUBY VERSION: 1.9.3 (2013-06-27 patchlevel 448) [x86_64-linux]
    - INSTALLATION DIRECTORY: /usr/local/lib/ruby/gems/1.9.1
    - RUBY EXECUTABLE: /usr/local/bin/ruby
    - EXECUTABLE DIRECOTYR: /usr/local/bin
    - RUBYGEMS PLATFORMS:
      - ruby
      - x86_64-linux
    - GEM PATHS:
      - /usr/local/lib/ruby/gems/1.9.1
      - /root/.gem/ruby/1.9.1
    - GEM CONFIGURATION:
      - :update_sources => true
      - :verbose => true
      - :benchmark => false
      - :backtrace => false
      - :bulkthreshold => 1000
    - REMOTE SOURCES:
      - https://rubgygems.org/

It seems quite strange that there would be a syntax error from the file that I haven't modified and downloaded from an official release. Do you see what's wrong with it ?

RE: Web application could not be started - Added by Kilian Jacquet almost 5 years ago

You can forget my previous message, I found out what was wrong, in the file database.yml I did not copy/paste from the tutorial and I had too many spaces before the text. Moving back to two spaces solved it. I think it could be interesting to add this as a remark to your tutorial in the future.

I finished it and Redmine is running again now with an up to date version. Thanks a lot for your help !

RE: Web application could not be started - Added by Jan Niggemann (redmine.org team member) almost 5 years ago

Kilian Jacquet wrote:

in the file database.yml I did not copy/paste from the tutorial and I had too many spaces before the text.

Yeah, YAML is whitespace sensitive.

I finished it and Redmine is running again now with an up to date version. Thanks a lot for your help !

Glad you have a recent redmine up and running :-)

(1-10/10)